%global shortname listSerialPortsC

Name:		arduino-%{shortname}
Version:	1.4.0
Release:	1%{?dist}
Summary:	Simple multiplatform program to list serial ports with vid/pid/iserial fields
License:	LGPLv3+
URL:		http://www.arduino.cc
Source0:	https://github.com/arduino/listSerialPortsC/archive/%{version}.tar.gz#/%{shortname}-%{version}.tar.gz
BuildRequires:	libserialport-devel, java-devel
BuildRequires:	gcc

%description
Simple environment to test libserialport in a single build machine fashion.

%prep
%setup -q -n %{shortname}-%{version}

%build
gcc `pkg-config --cflags libserialport` %{optflags} main.c `pkg-config --libs libserialport` -o listSerialC
gcc `pkg-config --cflags libserialport` %{optflags} jnilib.c -I/usr/lib/jvm/java/include/ -I/usr/lib/jvm/java/include/linux -shared -fPIC `pkg-config --libs libserialport` -o liblistSerialsj.so

%install
mkdir -p %{buildroot}%{_bindir}
install -m755 listSerialC %{buildroot}%{_bindir}
# Yes, this is not normal, but this isn't really a useful lib, it's only for arduino.
mkdir -p %{buildroot}%{_datadir}/arduino/lib/
install -m755 liblistSerialsj.so %{buildroot}%{_datadir}/arduino/lib/

%files
%license LICENSE.md
%doc README.md
%{_bindir}/listSerialC
%{_datadir}/arduino/lib/liblistSerialsj.so

%changelog
* Tue Aug 15 2017 Tom Callaway <spot@fedoraproject.org> - 1.0.7-1
- initial package
